Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.extras.complete
Class CompleteAutoloadTilesContainerFactory

    java.lang.Object
      org.apache.tiles.factory.AbstractTilesContainerFactory
          org.apache.tiles.factory.BasicTilesContainerFactory
              org.apache.tiles.extras.complete.CompleteAutoloadTilesContainerFactory

    public class CompleteAutoloadTilesContainerFactory

extends BasicTilesContainerFactory

Tiles container factory that:

- create supporting objects for Velocity and FreeMarker;
- create renderers for Velocity and FreeMarker templates;
- allows using EL, MVEL and OGNL as attribute expressions;
- allows using Wildcards and Regular Expressions in definition names;
- loads Tiles 1.x definition files;
- loads all the definition files that have the "tiles*.xml" pattern under `/WEB-INF` directory (and subdirectories) and under `META-INF` directories (and subdirectories) in every jar.

Since:
  2.2.0
Version:
  $Rev: 836356 $ $Date: 2009-11-15 14:27:43 +0100 (dom, 15 nov 2009) $

Field Summary

Fields inherited from class org.apache.tiles.factory.BasicTilesContainerFactory
`DEFINITION_RENDERER_NAME, STRING_RENDERER_NAME, TEMPLATE_RENDERER_NAME`

Fields inherited from class org.apache.tiles.factory.AbstractTilesContainerFactory
`CONTAINER_FACTORY_INIT_PARAM`

Constructor Summary
`CompleteAutoloadTilesContainerFactory()`

Method Summary
`protected AttributeEvaluatorFactory` | `createAttributeEvaluatorFactory(TilesApplicationContext applicationContext, TilesRequestContextFactory contextFactory, LocaleResolver resolver)` Creates the attribute evaluator factory to use.
`protected AttributeRenderer` | `createDefaultAttributeRenderer(BasicRendererFactory rendererFactory, TilesApplicationContext applicationContext, TilesRequestContextFactory contextFactory, TilesContainer container, AttributeEvaluatorFactory attributeEvaluatorFactory)` Creates the default attribute renderer.
`protected DefinitionsReader` | `createDefinitionsReader(TilesApplicationContext applicationContext, TilesRequestContextFactory contextFactory)` Creates the definitions reader.
`protected
`<T> PatternDefinitionResolver<T>`
` | `createPatternDefinitionResolver(java.lang.Class<T> customizationKeyClass)` Creates a new pattern definition resolver.
`protected java.util.List<java.net.URL>` | `getSourceURLs(TilesApplicationContext applicationContext, TilesRequestContextFactory contextFactory)` Returns a list containing the URLs to be parsed.
`protected java.util.List<TilesRequestContextFactory>` | `getTilesRequestContextFactoriesToBeChained(ChainedTilesRequestContextFactory parent)` Returns the list of `TilesRequestContextFactory` instances to be chained together.
`protected BasicTilesContainer` | `instantiateContainer(TilesApplicationContext applicationContext)` Instantiate the container, without initialization.
`protected void` | `registerAttributeRenderers(BasicRendererFactory rendererFactory, TilesApplicationContext applicationContext, TilesRequestContextFactory contextFactory, TilesContainer container, AttributeEvaluatorFactory attributeEvaluatorFactory)` Registers attribute renderers in a `BasicRendererFactory`.

Methods inherited from class org.apache.tiles.factory.BasicTilesContainerFactory
`createContainer, createDefinitionAttributeRenderer, createDefinitionsFactory, createLocaleDefinitionDao, createLocaleResolver, createPreparerFactory, createRendererFactory, createRequestContextFactory, createStringAttributeRenderer, createTemplateAttributeRenderer, instantiateDefinitionsFactory, instantiateLocaleDefinitionDao, registerChainedRequestContextFactories, registerRequestContextFactory`

Methods inherited from class org.apache.tiles.factory.AbstractTilesContainerFactory
`getTilesContainerFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompleteAutoloadTilesContainerFactory

    public CompleteAutoloadTilesContainerFactory()

Method Detail

### instantiateContainer

    protected BasicTilesContainer instantiateContainer(TilesApplicationContext applicationContext)

  Instantiate the container, without initialization.

  Overrides:
    `instantiateContainer` in class `BasicTilesContainerFactory`
  Parameters:
    `applicationContext` - The Tiles application context object.
  Returns:
    The instantiated container.

### getTilesRequestContextFactoriesToBeChained

    protected java.util.List<TilesRequestContextFactory> getTilesRequestContextFactoriesToBeChained(ChainedTilesRequestContextFactory parent)

  Returns the list of `TilesRequestContextFactory` instances to be chained together.

  Overrides:
    `getTilesRequestContextFactoriesToBeChained` in class `BasicTilesContainerFactory`
  Parameters:
    `parent` - The parent factory.
  Returns:
    The list of factories.

### registerAttributeRenderers

    protected void registerAttributeRenderers(BasicRendererFactory rendererFactory,
                                              TilesApplicationContext applicationContext,
                                              TilesRequestContextFactory contextFactory,
                                              TilesContainer container,
                                              AttributeEvaluatorFactory attributeEvaluatorFactory)

  Registers attribute renderers in a `BasicRendererFactory`. By default, it registers a `StringAttributeRenderer`, a `TemplateAttributeRenderer` and a `DefinitionAttributeRenderer`.

  Overrides:
    `registerAttributeRenderers` in class `BasicTilesContainerFactory`
  Parameters:
    `rendererFactory` - The renderer factory to configure.
    `applicationContext` - The Tiles application context.
    `contextFactory` - The Tiles context factory.
    `container` - The container.
    `attributeEvaluatorFactory` - The attribute evaluator factory.

### createDefaultAttributeRenderer

    protected AttributeRenderer createDefaultAttributeRenderer(BasicRendererFactory rendererFactory,
                                                               TilesApplicationContext applicationContext,
                                                               TilesRequestContextFactory contextFactory,
                                                               TilesContainer container,
                                                               AttributeEvaluatorFactory attributeEvaluatorFactory)

  Creates the default attribute renderer. By default it is an `ChainedDelegateAttributeRenderer`.

  Overrides:
    `createDefaultAttributeRenderer` in class `BasicTilesContainerFactory`
  Parameters:
    `rendererFactory` - The renderer factory to configure.
    `applicationContext` - The Tiles application context.
    `contextFactory` - The Tiles context factory.
    `container` - The container.
    `attributeEvaluatorFactory` - The attribute evaluator factory.
  Returns:
    The default attribute renderer.

### createAttributeEvaluatorFactory

    protected AttributeEvaluatorFactory createAttributeEvaluatorFactory(TilesApplicationContext applicationContext,
                                                                        TilesRequestContextFactory contextFactory,
                                                                        LocaleResolver resolver)

  Creates the attribute evaluator factory to use. By default it returns a `BasicAttributeEvaluatorFactory` containing the `DirectAttributeEvaluator` as the default evaluator.

  Overrides:
    `createAttributeEvaluatorFactory` in class `BasicTilesContainerFactory`
  Parameters:
    `applicationContext` - The Tiles application context.
    `contextFactory` - The Tiles context factory.
    `resolver` - The locale resolver.
  Returns:
    The evaluator factory.

### createPatternDefinitionResolver

    protected <T> PatternDefinitionResolver<T> createPatternDefinitionResolver(java.lang.Class<T> customizationKeyClass)

  Creates a new pattern definition resolver. By default, it instantiate a `BasicPatternDefinitionResolver` with `WildcardDefinitionPatternMatcherFactory` to manage wildcard substitution.

  Overrides:
    `createPatternDefinitionResolver` in class `BasicTilesContainerFactory`
  Type Parameters:
    `T` - The type of the customization key.
  Parameters:
    `customizationKeyClass` - The customization key class.
  Returns:
    The pattern definition resolver.

### getSourceURLs

    protected java.util.List<java.net.URL> getSourceURLs(TilesApplicationContext applicationContext,
                                                         TilesRequestContextFactory contextFactory)

  Returns a list containing the URLs to be parsed. By default, it returns a list containing the URL point to "/WEB-INF/tiles.xml".

  Overrides:
    `getSourceURLs` in class `BasicTilesContainerFactory`
  Parameters:
    `applicationContext` - The Tiles application context.
    `contextFactory` - The Tiles context factory.
  Returns:
    The source URLs.

### createDefinitionsReader

    protected DefinitionsReader createDefinitionsReader(TilesApplicationContext applicationContext,
                                                        TilesRequestContextFactory contextFactory)

  Creates the definitions reader. By default it creates a `DigesterDefinitionsReader`.

  Overrides:
    `createDefinitionsReader` in class `BasicTilesContainerFactory`
  Parameters:
    `applicationContext` - The Tiles application context.
    `contextFactory` - The Tiles context factory.
  Returns:
    The definitions reader.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.